title 正在校验镜像文件
if not exist core\version_iso.txt goto downit
if not exist core\Edgeless.iso goto downit
if exist core\version_iso.txt set /p version_iso=<core\version_iso.txt
if not exist core\version_ol.txt call net_getversion.cmd
if exist core\version_ol.txt set /p version_ol=<core\version_ol.txt
if %version_iso%==%version_ol% goto exi

:downit
title 即将开始下载Edgeless镜像
cls
echo.
echo.
echo         未检测到可用镜像文件或镜像校验信息缺失
echo.
echo     即将开始下载Edgeless镜像，如果不需要请关闭窗口
echo.
echo.
echo.
timeout 5
del /f /q core\Edgeless_backup.iso
if exist core\Edgeless.iso ren core\Edgeless.iso Edgeless_backup.iso
call net_downloadiso.cmd

:exi